Bug 2902 - emacs падает при попытке Browse Customization Groups
: emacs падает при попытке Browse Customization Groups
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs21-X11)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-30 12:37 by
Modified: 2006-04-14 13:15 (History)


Attachments
the bottom of strace emacs (11.23 KB, text/plain)
2003-08-30 12:43, Andrey V Khavryuchenko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-30 12:37:58
emacs -> Options -> Customize Emacs -> Browse Customization Groups

[1]+  Segmentation fault      (core dumped) emacs

emacs-common-21.3-alt4.1
emacs-speedbar-0.14-alt0.7.beta4
emacs-gnus-21.3-alt4.1
emacs-X11-21.3-alt4.1
emacsen-startscripts-0.0.3-alt2
emacs-mule-ucs-0.85rc1-alt1

$ gdb `which emacs` core
[...]
(gdb) bt#0  0x004032f1 in kill () from /lib/libc.so.6
#1  0x080daaf0 in XMapRaised ()
#2  0x00403268 in sigaction () from /lib/libc.so.6
#3  0x0814e734 in error ()
#4  0x0814e033 in error ()
#5  0x0814f56b in error ()
#6  0x0814fcd9 in error ()
#7  0x0814e734 in error ()
#8  0x0814e033 in error ()
#9  0x0814dabc in error ()
#10 0x0814dc6d in error ()
#11 0x08139efd in error ()
#12 0x08164973 in error ()
#13 0x0813a26e in error ()
#14 0x08139d7c in error ()
#15 0x08139b50 in error ()
#16 0x0814ced6 in error ()
#17 0x08139efd in error ()
#18 0x08164973 in error ()
#19 0x0813a26e in error ()
#20 0x08139d7c in error ()
#21 0x081395be in error ()
#22 0x0813a015 in error ()
#23 0x08164973 in error ()
#24 0x0813a26e in error ()
#25 0x08139d7c in error ()
#26 0x08139b80 in error ()
#27 0x0814cfb4 in error ()
#28 0x08143315 in error ()
#29 0x08139ea6 in error ()
#30 0x08164973 in error ()
#31 0x08139227 in error ()
#32 0x0814d9d2 in error ()
#33 0x0814cc02 in error ()
#34 0x08139efd in error ()
#35 0x08164973 in error ()
#36 0x0813a26e in error ()
#37 0x08139d7c in error ()
#38 0x08164973 in error ()
#39 0x08139227 in error ()
#40 0x08137ee5 in re_compile_pattern ()
#41 0x081655ea in error ()
#42 0x0813a26e in error ()
#43 0x08139d7c in error ()
#44 0x08164973 in error ()
#45 0x0813a26e in error ()
#46 0x08139d7c in error ()
#47 0x08164973 in error ()
#48 0x0813a26e in error ()
#49 0x08139d7c in error ()
#50 0x081395be in error ()
#51 0x08143600 in error ()
#52 0x0813a015 in error ()
#53 0x08164973 in error ()
#54 0x0813a26e in error ()
#55 0x08139d7c in error ()
#56 0x081395be in error ()
#57 0x08143600 in error ()
#58 0x0813a015 in error ()
#59 0x08164973 in error ()
#60 0x0813a26e in error ()
#61 0x08139d7c in error ()
#62 0x08164973 in error ()
#63 0x0813a26e in error ()
#64 0x08139d7c in error ()
#65 0x08139a73 in error ()
#66 0x0813641e in re_compile_pattern ()
#67 0x080e7e0b in abort ()
#68 0x080dda8b in abort ()
#69 0x08137fea in re_compile_pattern ()
#70 0x080dd5cd in abort ()
#71 0x08137b59 in re_compile_pattern ()
#72 0x080dd577 in abort ()
#73 0x080dd03e in abort ()
#74 0x080dd173 in abort ()
#75 0x080db9a9 in abort ()
#76 0x003f2662 in __libc_start_main () from /lib/libc.so.6
(gdb)
------- Comment #1 From 2003-08-30 12:43:15 -------
Created an attachment (id=269) [details]
the bottom of strace emacs
------- Comment #2 From 2004-04-29 12:41:32 -------
переназначено 
 
------- Comment #3 From 2005-10-11 16:32:02 -------
a long time ago, in a package far, far away ... fixed